org.jboss.netty.handler.codec.spdy

## Interface SpdyPingFrame

- All Known Implementing Classes:
    DefaultSpdyPingFrame

      public interface SpdyPingFrame

  A SPDY Protocol PING Control Frame

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns the ID of this frame.
    `int` | `getID()` Deprecated. Use `getId()` instead.
    `void` | `setId(int id)` Sets the ID of this frame.
    `void` | `setID(int id)` Deprecated. Use `setId(int)` instead.

- - ### Method Detail

    - #### getID

          @Deprecated
          int getID()

      Deprecated. Use `getId()` instead.

    - #### getId

          int getId()

      Returns the ID of this frame.

    - #### setID

          @Deprecated
          void setID(int id)

      Deprecated. Use `setId(int)` instead.

    - #### setId

          void setId(int id)

      Sets the ID of this frame.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.